Bug 8030 - Change pickup location of a hold from patron record
Summary: Change pickup location of a hold from patron record
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact:
URL:
Keywords:
Depends on: 14868
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 22:41 UTC by Nicole C. Engard
Modified: 2019-10-07 09:40 UTC (History)
10 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8030 - Change pickup location of a hold from patron record (6.40 KB, patch)
2016-07-01 19:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 8030 - Change pickup location of a hold from patron record (6.42 KB, patch)
2016-07-01 20:19 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8030 - Change pickup location of a hold from patron record (6.49 KB, patch)
2016-07-20 11:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8030 (QA Followup) - Use REST api and provide feedback (4.67 KB, patch)
2016-08-19 20:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 8030 - (QA followup) Remove svc file no longer user Use animated gif for waiting as elsewhere Remove confirmation (6.99 KB, patch)
2016-08-22 15:45 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 8030 - Change pickup location of a hold from patron record (6.55 KB, patch)
2016-09-05 20:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8030 (QA Followup) - Use REST api and provide feedback (4.74 KB, patch)
2016-09-05 20:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 8030 - (QA followup) Remove svc file no longer user Use animated gif for waiting as elsewhere Remove confirmation (7.05 KB, patch)
2016-09-05 20:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8030 - (QA Folllowup) Use Koha::Libraries (2.67 KB, patch)
2016-09-09 16:37 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-30 22:41:37 UTC
It would be nice to be able to edit hold pickup location from patron record instead of just the bib record. Right now you can cancel and suspend holds from the bib or the patron, but can only change pickup location from the bib.
Comment 1 Katrin Fischer 2013-04-14 09:10:37 UTC
Ian, are you still planning to work on this?
Comment 2 Nick Clemens 2016-06-30 15:26:11 UTC
Work to be done:
1) Modify the pickup location on holds table to be a pulldown of pickup locations
2) Add new svc/rest script to update hold pickup locations
3) Modify javascript such that change the pickup location first asks for confirmation,
if change is confirmed, pickup location will be updated via ajax process
if change is canceled, previous pickup location will be set for pulldown
Comment 3 Nick Clemens 2016-07-01 19:39:58 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2016-07-01 19:45:47 UTC
needs to adjust for in transit holds
Comment 5 Nick Clemens 2016-07-01 20:19:55 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2016-07-11 18:24:40 UTC
Would it be possible to return the branch <select> to its original choice if you choose "cancel" after changing it?
Comment 7 Kyle M Hall 2016-07-20 11:15:43 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2016-07-20 11:20:07 UTC
(In reply to Owen Leonard from comment #6)
> Would it be possible to return the branch <select> to its original choice if
> you choose "cancel" after changing it?

I think that's a good idea. It would also be nice to have a spinner next to the pulldown while it's being updated. Right now I'm not seeing any real visual feedback that the update is in process or has completed. Take a look at the Animated Icons section here: http://fontawesome.io/examples/
Comment 9 Jonathan Druart 2016-07-25 13:09:19 UTC
Why don't you use the REST API (bug 13903)?
Comment 10 Katrin Fischer 2016-07-28 05:52:12 UTC
Nick, can you please take a look at the questions and comments? Thx!
Comment 11 Nick Clemens 2016-08-19 20:52:55 UTC Comment hidden (obsolete)
Comment 12 Nick Clemens 2016-08-19 20:53:55 UTC
(In reply to Katrin Fischer from comment #10)
> Nick, can you please take a look at the questions and comments? Thx!
All set

I did an admittedly rough job of inserting the icon, some feedback from Owen on placement and preferred icon would be apreciated
Comment 13 Katrin Fischer 2016-08-22 12:08:12 UTC
Hi Nick,

some issues here:
1) You forgot to remove the update_location file form svc that is no longer used.
2) when changing the pickup location I get an alert "You want to change the pickup location?" - I am not sure this kind of message is necessary, we usually only seem to ask for confirmation when something is deleted.
3) After confirming the message, I get an error alert: There was an error:error Method Not Allowed
Comment 14 Katrin Fischer 2016-08-22 12:09:04 UTC
Ah, one more small thing, could we use "updated" instead of "set" to indicate a change? "set" is quite hard to translate correctly.
Comment 15 Owen Leonard 2016-08-22 12:17:37 UTC
(In reply to Nick Clemens from comment #11)

> Use fa spinning icon while waiting

Do you have a plan to replace other spinners in the interface with this version? We need to keep things consistent.
Comment 16 Nick Clemens 2016-08-22 15:45:11 UTC Comment hidden (obsolete)
Comment 17 Nick Clemens 2016-08-22 15:48:53 UTC
(In reply to Katrin Fischer from comment #13)
> 3) After confirming the message, I get an error alert: There was an
> error:error Method Not Allowed

I don't see this one, do you have the REST API running?
Comment 18 Katrin Fischer 2016-08-22 16:52:02 UTC
Hm, I haven't installed the RESTful API or activated it. I didn't suspect it to be a mandatory thing at this point in time, am I mistaken?
Owen had the same error message testing this.
Comment 19 Nick Clemens 2016-08-22 16:58:56 UTC
(In reply to Katrin Fischer from comment #18)
> Hm, I haven't installed the RESTful API or activated it. I didn't suspect it
> to be a mandatory thing at this point in time, am I mistaken?
> Owen had the same error message testing this.

As of bug 17030 the REST API should be activated by default for new installs/upgrades and this feature is based on that assumption.

If you add Mirko's nightly builds to your apt sources and upgrade then all should be running:
https://apt.abunchofthings.net/koha-nightly/

you can test by accessing the staff url of your site at
http://localhost:8081/api/v1/holds

Updating hostname/port as necessary

If all is working you will get a JSON blob of the holds in your system
Comment 20 Katrin Fischer 2016-08-22 17:32:33 UTC
I am adding this to the agenda of the next dev meeting - I think if we make the API mandatory, we need to take other steps too (amending installation instructions for exapmle) and we should be aware of it.
Comment 21 Katrin Fischer 2016-08-24 19:42:54 UTC
We've concluded to wait for this until bug 14868 is sorted out and not to backport REST API patches for now to the stable releases until we have worked out the structure of things a bit more.
Comment 22 Katrin Fischer 2016-08-24 20:18:38 UTC
Marking 'BLOCKED' for now - please swich back once dependencies have been cleared!
Comment 23 Katrin Fischer 2016-09-05 20:28:12 UTC
Created attachment 55200 [details] [review]
[PASSED QA] Bug 8030 - Change pickup location of a hold from patron record

To test:
1 - Place some holds for a patron
2 - Load the patron into checkout module
3 - View thier holds tab, should have a dropdwon for location
4 - Alter the location
5 - You should recieve a confirmation box
6 - Confirm that pressing cancel does not update holds
7 - Confirm that pressing Yes does update the hold
8 - Confirm that waiting holds are not updateable

Signed-off-by: Jason M. Burds <JBurds@dubuque.lib.ia.us>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 24 Katrin Fischer 2016-09-05 20:28:16 UTC
Created attachment 55201 [details] [review]
[PASSED QA] Bug 8030 (QA Followup) - Use REST api and provide feedback

Use REST API
If cancelled return to previous selection
If fail return to previous selection
Use fa spinning icon while waiting
Disable select while waiting

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 25 Katrin Fischer 2016-09-05 20:28:20 UTC
Created attachment 55202 [details] [review]
[PASSED QA] Bug 8030 - (QA followup) Remove svc file no longer user Use animated gif for waiting as elsewhere Remove confirmation

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 26 Kyle M Hall 2016-09-09 15:12:25 UTC
This patch uses GetBranchesLoop which has been removed. Please provide followup to use Koha::Libraries!
Comment 27 Nick Clemens 2016-09-09 16:37:48 UTC
Created attachment 55448 [details] [review]
Bug 8030 - (QA Folllowup) Use Koha::Libraries
Comment 28 Kyle M Hall 2016-09-12 09:48:33 UTC
Pushed to master for 16.11, thanks Nick!
Comment 29 Marcel de Rooy 2019-10-07 09:40:52 UTC
This should be first Koha report using the REST API at the intranet side.